Subject: Re: [homenet] Site-local multicast [was: Updating DNS]

From: Brian Haberman <[email-masked]>
Date: Thu, 5 May 2016 10:03:00 -0400

On 4/24/16 5:00 PM, Dino Farinacci wrote:
>> Assuming you've got only transitive links, then any multicast routing
>> protocol should work fine at the scale we envision for Homenet as long as
>> it is able to avoid wireless links whenever possible.  Pierre was
>> suggesting PIM-BIDIR, and actually provided a suitable implementation [1].
>> Some people have hinted to me in private conversations that they'd prefer
>> something simpler, perhaps more akin to DVMRP [2] but without the
>> automatic tunnelling.
> 
> If you don't want any source discovery issues, use Bidir-PIM. 
> 

bidir-PIM makes sense in this environment. In addition, there should be
implementation guidance on how to establish the site-local border (see
RFC 4007).

Brian